Subject: Re: Route cache performance under stress

From: "David S. Miller" <[email-masked]>
Date: Tue, 10 Jun 2003 20:33:25 -0700 (PDT)

From: Ben Greear <[email-masked]>
   
   Yes, I understand why we want a time-stamp very early...but if
   we can get _some_ sort of time stamp very cheap (TSC, for example)
   then we can potentially defer the more expensive conversion of
   this stamp into the equivalent of whatever do_gettimeofday will
   give us.

I fully understand your idea, I've talked about it with Alexey many
times.  Someone just has to implement it.

pkt_sched.h is probably the place to play, maybe make an
asm/pkt_sched.h header.